# ML Observability

A lightweight Python SDK for LLM observability with MLflow integration, providing seamless tracing and cost tracking for AI applications.

## Features

- 🔍 **Simple Monitoring**: One-line integration with popular LLM providers
- 💰 **Cost Tracking**: Automatic tracking of token usage and costs
- ⚡ **Async Support**: Full support for both synchronous and asynchronous LLM API calls
- 🔄 **Provider Agnostic**: Works with OpenAI, Anthropic, and more
- 📊 **MLflow Integration**: Automatic logging to MLflow for visualization and analysis

## Installation

```bash
pip install autonomize-ml-observability
```